<div class="happyforms-form__part happyforms-part happyforms-part--submit">
	<?php do_action( 'happyforms_form_submit_before', $form ); ?>
	<?php
	$current_break = happyforms_get_current_page_break( $form, true );
	$hide_prev_button = happyforms_get_form_property( $form, 'hide_prev_button' );
	if ( $current_break > 0 && $hide_prev_button !== 1 ) : ?>
	<button data-step="-<?php echo ( $current_break - 1 ); ?>" class="submit happyforms-submit happyforms-button--submit happyforms-previous-step"><?php echo happyforms_get_form_property( $form, 'previous_button_label' ); ?></button>
	<?php endif; ?>
	<?php
	$breaks = happyforms_get_page_breaks( $form );
	$label = happyforms_get_form_property( $form, 'next_button_label' );

	if ( $current_break === count( $breaks ) - 1 ) {
		if ( ! happyforms_get_form_setup_upgrade()->requires_confirmation( $form ) ) {
			$label = esc_attr( happyforms_get_form_property( $form, 'submit_button_label' ) );
		} else {
			$label = esc_attr( happyforms_get_form_property( $form, 'review_button_label' ) );
		}
	}
	$submit_button_extra_class = '';
	if( happyforms_get_form_property( $form, 'add_submit_button_class' ) == 1 ) {
		$submit_button_extra_class = happyforms_get_form_property( $form, 'submit_button_html_class' );
	}
	?>
	<input type="submit" class="happyforms-submit happyforms-button--submit <?php echo $submit_button_extra_class; ?>" value="<?php echo $label; ?>" <?php if ( happyforms_submit_enabled( $form ) ) : ?> disabled<?php endif; ?> />
	<?php do_action( 'happyforms_form_submit_after', $form ); ?>
</div>
